unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ipSkinManager, StdCtrls, ExtCtrls, ComCtrls, Buttons, DBCtrls, Mask;

type
  TForm1 = class(TForm)
    ipSkinManager1: TipSkinManager;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    FindDialog1: TFindDialog;
    ReplaceDialog1: TReplaceDialog;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    GroupBox1: TGroupBox;
    CheckBox: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    GroupBox2: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Panel1: TPanel;
    Button: TButton;
    Button9: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Panel2: TPanel;
    Edit1: TEdit;
    Edit2: TEdit;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Panel3: TPanel;
    ListBox1: TListBox;
    ApplySkinButton: TButton;
    OnOffSkinButton: TButton;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    Label4: TLabel;
    lblAuthorName: TLabel;
    lblURL: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    lblEmail: TLabel;
    Label1: TLabel;
    Label3: TLabel;
    Label99: TLabel;
    lblForIcqPlus: TLabel;
    lblForICQ: TLabel;
    lblAuthor: TLabel;
    TabSheet4: TTabSheet;
    GroupBox5: TGroupBox;
    btnInputBox: TButton;
    Button10: TButton;
    GroupBox6: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button7: TButton;
    Button8: TButton;
    Button5: TButton;
    Memo1: TMemo;
    Label2: TLabel;
    btnVisitHomehage: TButton;
    btnOrderNow: TButton;
    GroupBox7: TGroupBox;
    Label10: TLabel;
    Label11: TLabel;
    Label9: TLabel;
    Label8: TLabel;
    Label7: TLabel;
    Label12: TLabel;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure btnInputBoxClick(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure ipSkinManager1PlusButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ApplySkinButtonClick(Sender: TObject);
    procedure OnOffSkinButtonClick(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure ListBox1KeyPress(Sender: TObject; var Key: Char);
    procedure ipSkinManager1Activate(Sender: TObject);
    procedure ipSkinManager1DeActivate(Sender: TObject);
    procedure btnVisitHomehageClick(Sender: TObject);
    procedure btnOrderNowClick(Sender: TObject);
    procedure Label11Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
    procedure FillSkinList;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses ShellAPI, child;

procedure TForm1.FillSkinList;
var
  SRec : TSearchRec;
  R : Integer;
begin
  ListBox1.Items.Clear;
  R := FindFirst (ExtractFilePath (Application.ExeName) + '..\Skins\*.ipz', faAnyFile, SRec);
  while R = 0 do
  begin
    ListBox1.Items.Add (SRec.Name);
    R := FindNext (SRec);
  end;
  ListBox1.Sorted := true;
  ListBox1.ItemIndex := 0;
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
  OpenDialog1.Execute;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SaveDialog1.Execute;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  FontDialog1.Execute;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ColorDialog1.Execute;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  FindDialog1.Execute;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  ReplaceDialog1.Execute;
end;

procedure TForm1.btnInputBoxClick(Sender: TObject);
begin
  InputBox ('Input box', 'Enter text', 'ipSkin components');
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  Application.MessageBox ('This is MessageBox window.', 'ipSkin', MB_OKCANCEL or MB_ICONINFORMATION);
end;

procedure TForm1.ipSkinManager1PlusButtonClick(Sender: TObject);
begin
  Application.MessageBox ('Plus button clicked', 'ipSkin Application', MB_OK or MB_ICONINFORMATION);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FillSkinList;
  ipSkinManager1.SkinFile := '..\Skins\ICQ_Longhorn_v.1.2.ipz';
  ipSkinManager1.Active := true;
  PageControl1.ActivePage := TabSheet3;
end;

procedure TForm1.ApplySkinButtonClick(Sender: TObject);
begin
  ipSkinManager1.SkinFile := '..\Skins\' + ListBox1.Items [ListBox1.ItemIndex];
end;

procedure TForm1.OnOffSkinButtonClick(Sender: TObject);
begin
  ipSkinManager1.Active := not ipSkinManager1.Active;
  ApplySkinButton.Enabled := ipSkinManager1.Active;
  ListBox1.Enabled := ipSkinManager1.Active;

  if ipSkinManager1.Active then OnOffSkinButton.Caption := 'Disable skin'
    else OnOffSkinButton.Caption := 'Enable skin';
end;

procedure TForm1.ListBox1DblClick(Sender: TObject);
begin
  ApplySkinButtonClick (Self);
end;

procedure TForm1.ListBox1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then ApplySkinButtonClick (Self);
end;

procedure TForm1.ipSkinManager1Activate(Sender: TObject);
begin
  lblAuthor.Caption := ipSkinManager1.Skin.DesignerName;
  lblForICQ.Caption := ipSkinManager1.Skin.DesignedForICQ;
  lblForICQPlus.Caption := ipSkinManager1.Skin.DesignedForICQPlus;
  lblAuthorName.Caption := ipSkinManager1.Skin.AuthorName;
  lblURL.Caption := ipSkinManager1.Skin.AuthorURL;
  lblEMAIL.Caption := ipSkinManager1.Skin.AuthorEMail;

  //SkinCommentMemo.Lines.Clear;
  //SkinCommentMemo.Lines.Add (ipSkinManager1.Skin.DesignerComment);
end;

procedure TForm1.ipSkinManager1DeActivate(Sender: TObject);
begin
  lblAuthor.Caption := '';
  lblForICQ.Caption := '';
  lblForICQPlus.Caption := '';
  lblAuthorName.Caption := '';
  lblURL.Caption := '';
  lblEMAIL.Caption := '';
end;

procedure TForm1.btnVisitHomehageClick(Sender: TObject);
begin
  ShellExecute (Handle, 'open', 'http://www.rhoStyle.com/?source=demo', nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.btnOrderNowClick(Sender: TObject);
begin
  ShellExecute (Handle, 'open', 'http://www.rhoStyle.com/purchase.html?source=demo', nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.Label11Click(Sender: TObject);
begin
  ShellExecute (Handle, 'open', 'mailto:info@rhostyle.com', nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  ChildForm := TChildForm.Create (Self);
  try
    ChildForm.ShowModal;
  finally
    ChildForm.Free;
  end;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  ShellExecute (Handle, 'open', 'http://www2.wincustomize.com/Skins.aspx?LibID=12&view=1&sortby=9&sortdir=DESC&p=1&advanced=0&mode=1&u=0', nil, nil, SW_SHOWNORMAL);
end;

end.
